#include<stdio.h>
#include<usb.h>

struct usb_device *getdev( void )
{
        struct usb_bus *busses, *bus;
        struct usb_device *dev;

        busses = usb_get_busses();

        for ( bus = busses; bus; bus = bus->next ) {
                for ( dev = bus->devices; dev; dev = dev->next ) {
                        if ( dev->descriptor.idVendor == 0x6666 && dev->descriptor.idProduct == 0x0001 ) {
				return dev;
                        }
                }
        }

	return NULL;
}

int main( int argc, char **argv )
{
        struct usb_device *dev;
	usb_dev_handle *dh;
	int res, i;
	char buf[1000];

	usb_init();
	usb_find_busses();
	usb_find_devices();

	dev = getdev();
	
	if ( !dev ) 
		return 0;

	dh = usb_open( dev );
	if ( !dh ) {
		printf( "cannot open\n" );
	}

	if ( usb_claim_interface( dh, 0 ) < 0 ) {
		printf( "error claim\n" );
	}

	for( i = 0; i < 1; i++ ) {
		buf[ 0 ] = ( char ) i;
		res = usb_bulk_write( dh, 1, buf, 512, 5000 );
		printf( "bw=%d\n", res );
		res = usb_bulk_read( dh, 0x82, buf, 512, 1000 );
		printf( "bw=%d\n", res );
	}

	if ( usb_release_interface( dh, 0 ) < 0 ) {
		printf( "error release\n" );
	}

	usb_close( dh );
}
